Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.notification
Interface EventListener

All Superinterfaces:
  java.util.EventListener

    public interface EventListener

extends java.util.EventListener

An event listener object is used to receive asynchronously delivered MQ events.

MQ client runtime may notify an application about a specific MQ event if one has been set to the MQ connection.

Method Summary
`void` | `onEvent(Event event)` Notify a MQ application of a MQ event.

Method Detail

### onEvent

    void onEvent(Event event)

  Notify a MQ application of a MQ event.

  Parameters:
    `event` - the event generated by MQ runtime.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.